# AP4_GrpiAtom Class Reference

`#include <Ap4GrpiAtom.h>`

Inheritance diagram for AP4_GrpiAtom:

List of all members.

## Public Member Functions
| AP4_GrpiAtom (AP4_UI08 key_encryption_method, const char *group_id, const AP4_UI08 *group_key, AP4_Size group_key_length)
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
virtual AP4_Atom * | Clone ()
| Create a clone of the object.
AP4_UI08 | GetKeyEncryptionMethod () const
void | SetKeyEncryptionMethod (AP4_UI08 encryption_method)
const AP4_String & | GetGroupId () const
const AP4_DataBuffer & | GetGroupKey () const
## Static Public Member Functions
static AP4_GrpiAtom * | Create (AP4_Size size, AP4_ByteStream &stream)

## Detailed Description

Definition at line 43 of file Ap4GrpiAtom.h.

## Constructor & Destructor Documentation

AP4_GrpiAtom::AP4_GrpiAtom | ( | AP4_UI08 | key_encryption_method,
|  | const char * | group_id,
|  | const AP4_UI08 * | group_key,
|  | AP4_Size | group_key_length |
| ) |  |  |

## Member Function Documentation

static AP4_GrpiAtom* AP4_GrpiAtom::Create | ( | AP4_Size | size,
|  | AP4_ByteStream & | stream |
| ) |  |  | `[static]`

virtual AP4_Result AP4_GrpiAtom::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Atom.

virtual AP4_Result AP4_GrpiAtom::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Implements AP4_Atom.

virtual AP4_Atom* AP4_GrpiAtom::Clone | ( |  | ) | `[virtual]`

Create a clone of the object.

This method returns a clone of the atom, or NULL if the atom cannot be cloned. Override this if your want to make an atom cloneable in a more efficient way than the default implementation.

Reimplemented from AP4_Atom.

AP4_UI08 AP4_GrpiAtom::GetKeyEncryptionMethod | ( |  | ) | const`[inline]`

Definition at line 62 of file Ap4GrpiAtom.h.

void AP4_GrpiAtom::SetKeyEncryptionMethod | ( | AP4_UI08 | encryption_method | ) | `[inline]`

Definition at line 63 of file Ap4GrpiAtom.h.

const AP4_String& AP4_GrpiAtom::GetGroupId | ( |  | ) | const`[inline]`

Definition at line 64 of file Ap4GrpiAtom.h.

const AP4_DataBuffer& AP4_GrpiAtom::GetGroupKey | ( |  | ) | const`[inline]`

Definition at line 65 of file Ap4GrpiAtom.h.

The documentation for this class was generated from the following file:

- Ap4GrpiAtom.h